function addWyvernToRenderer(renderer){
var model = renderer.getModel();
var head = model.getPart("head").clear();
var body = model.getPart("body").clear();
var rArm = model.getPart("rightArm").clear();
var lArm = model.getPart("leftArm").clear();
var rLeg = model.getPart("rightLeg").clear();
var lLeg = model.getPart("leftLeg").clear();
body.setTextureSize(128,256);
head.setTextureSize(128,256);
rLeg.setTextureSize(128,256);
lLeg.setTextureSize(128,256);
rArm.setTextureSize(128,256);
lArm.setTextureSize(128,256);

head.clear();
head.setTextureOffset(70, 108, true);
head.addBox(-3.5, -5.5, -18, 1, 2, 4);
head.setTextureOffset(70, 114, true);
head.addBox(2.5, -5.5, -18, 1, 2, 4);
head.setTextureOffset(72, 93, true);
head.addBox(-3, -3, -27, 2, 2, 13);
head.setTextureOffset(72, 93, true);
head.addBox(-1, -3, -27, 2, 2, 13);
head.setTextureOffset(42, 93, true);
head.addBox(1, -3, -27, 2, 2, 13);
head.setTextureOffset(72, 70, true);
head.addBox(-2, -6, -27, 4, 3, 9);
head.setTextureOffset(0, 0, true);
head.addBox(-2.5, -6.5, -19, 5, 4, 1);
head.setTextureOffset(72, 82, true);
head.addBox(-2, -1.4, -26.5, 4, 2, 9);
head.setTextureOffset(28, 47, true);
head.addBox(-4, -7, -11, 2, 2, 10);
head.addBox(2, -7, -11, 2, 2, 10);
head.setTextureOffset(98, 70, true);
head.addBox(-3.5, -6.5, -18, 7, 7, 8);
head.setTextureOffset(104, 50, true);
head.addBox(-5, -2, -20, 10, 2, 2);
head.setTextureOffset(66, 43, true);
head.addBox(-4.01, -2, -19.5, 0, 3, 23);
head.addBox(4.01, -2, -19.5, 0, 3, 23);
head.setTextureOffset(32, 141, true);
head.addBox(-4, -3, -13.5, 8, 4, 1);
head.addBox(-4, -7, -13.5, 8, 4, 1);
head.setTextureOffset(100, 26, true);
head.addBox(-1, -6, -28, 1, 3, 1);
head.addBox(0, -6, -28, 1, 3, 1);
head.addBox(-0.5, -6, -28, 1, 3, 1);
head.addBox(-0.5, -6, -29, 1, 3, 1);
head.addBox(-2, -6, -28, 1, 3, 1);
head.addBox(1, -6, -28, 1, 3, 1);
head.addBox(-1.5, -6, -28.5, 1, 3, 1);
head.addBox(0.5, -6, -28.5, 1, 3, 1);
head.addBox(-1, -6, -29, 1, 3, 1);
head.addBox(0, -6, -29, 1, 3, 1);
head.addBox(-0.5, -6, -29.5, 1, 3, 1);
head.addBox(-2, -4, -28, 1, 3, 1);
head.addBox(1, -4, -28, 1, 3, 1);
head.addBox(-1.5, -4, -28.5, 1, 3, 1);
head.addBox(0.5, -4, -28.5, 1, 3, 1);
head.addBox(-1, -3.5, -29, 1, 3, 1);
head.addBox(0, -3.5, -29, 1, 3, 1);
head.addBox(-0.5, -3, -29.5, 1, 3, 1);
head.setTextureOffset(61, 5, true);
head.addBox(-3, 9.5, -5, 6, 1, 7);
head.setTextureOffset(61, 6, true);
head.addBox(-3, 8.5, -5.5, 6, 1, 7);
head.setTextureOffset(61, 7, true);
head.addBox(-3, 7.5, -6, 6, 1, 7);
head.setTextureOffset(61, 8, true);
head.addBox(-3, 6.5, -6.5, 6, 1, 7);
head.setTextureOffset(61, 9, true);
head.addBox(-3, 5.5, -7, 6, 1, 7);
head.setTextureOffset(61, 4, true);
head.addBox(-3, 4.5, -7.5, 6, 1, 7);
head.setTextureOffset(61, 9, true);
head.addBox(-3, 3.5, -8, 6, 1, 7);
head.setTextureOffset(61, 8, true);
head.addBox(-3, 2.5, -8.5, 6, 1, 7);
head.setTextureOffset(61, 7, true);
head.addBox(-3, 1.5, -9, 6, 1, 7);
head.setTextureOffset(61, 6, true);
head.addBox(-3, 0.5, -9.5, 6, 1, 7);
head.setTextureOffset(61, 5, true);
head.addBox(-3, -0.5, -10, 6, 1, 7);
head.setTextureOffset(61, 4, true);
head.addBox(-3, -1.5, -10.5, 6, 1, 7);
head.setTextureOffset(61, 3, true);
head.addBox(-3, -2.5, -11, 6, 1, 7);
head.setTextureOffset(61, 2, true);
head.addBox(-3, -3.5, -11.5, 6, 1, 7);
head.setTextureOffset(61, 1, true);
head.addBox(-3, -4.5, -12, 6, 1, 7);
head.setTextureOffset(61, 0, true);
head.addBox(-3, -5.5, -12.5, 6, 1, 7);
head.setRotationPoint(0,0,-8);

body.clear();

body.setTextureOffset(0, 80, true);
body.addBox(-0.5, 4, 40, 1, 3, 7);

body.setTextureOffset(0, 68, true);
body.addBox(-1, 3, 33, 2, 5, 7);

body.setTextureOffset(0, 55, true);
body.addBox(-2, 3.5, 25, 4, 5, 8);
body.setTextureOffset(108, 37, true);
body.addBox(-1, 2.5, 25, 2, 1, 8);

body.setTextureOffset(0, 40, true);
body.addBox(-3, 3, 16, 6, 6, 9);
body.setTextureOffset(104, 26, true);
body.addBox(-1.5, 2, 16, 3, 1, 9);

body.setTextureOffset(0, 22, true);
body.addBox(-4, 2.5, 6, 8, 8, 10);
body.setTextureOffset(100, 14, true);
body.addBox(-2, 1.5, 6, 4, 1, 10);

body.setTextureOffset(0, 0, true);
body.addBox(-5, 2, -6, 10, 10, 12);
body.setTextureOffset(92, 0, true);
body.addBox(-3, 1, -6, 6, 1, 12);


body.setTextureOffset(28, 59, true);
body.addBox(-5, -1, 6.5, 10, 5, 6);
body.setTextureOffset(38, 70, true);
body.addBox(-3.5, 0, -3.9, 7, 3, 10);

body.setTextureOffset(50, 135, true);
body.addBox(-5.5, 1.5, -3, 11, 11, 2);
body.addBox(-5.5, 1.5, 3, 11, 11, 2);

body.setTextureOffset(44, 0, true);
body.addBox(-4.5, 2, -10, 9, 10, 4);
body.setTextureOffset(24, 83, true);
body.addBox(3, 0.8, -9, 4, 5, 5);
body.setTextureOffset(42, 83, true);
body.addBox(-7, 0.8, -9, 4, 5, 5);


body.setTextureOffset(100, 8, true);
body.addBox(-3, 1.5, -10, 6, 1, 4);
//cabeza2
body.setTextureOffset(80, 128, true);
body.addBox(-3.5, -5.5, -26, 1, 2, 4);
body.setTextureOffset(80, 134, true);
body.addBox(2.5, -5.5, -26, 1, 2, 4);
body.setTextureOffset(93, 135, true);
body.addBox(-3, -3, -35, 2, 2, 13);
body.addBox(-1, -3, -35, 2, 2, 13);
body.setTextureOffset(63, 135, true);
body.addBox(1, -3, -35, 2, 2, 13);
body.setTextureOffset(80, 144, true);
body.addBox(-5, -2, -28, 10, 2, 2);
body.setTextureOffset(0, 145, true);
body.addBox(-2, -6, -35, 4, 3, 9);
body.setTextureOffset(0, 5, true);
body.addBox(-2.5, -6.5, -27, 5, 4, 1);
body.setTextureOffset(0, 157, true);
body.addBox(-2, -1.4, -34.5, 4, 2, 9);
body.setTextureOffset(22, 154, true);
body.addBox(-3.5, -6.5, -26, 7, 7, 8);
body.setTextureOffset(44, 148, true);
body.addBox(-4, -7, -19, 2, 2, 10);
body.addBox(2, -7, -19, 2, 2, 10);
body.setTextureOffset(38, 16, true);
body.addBox(-4.01, -2, -27.5, 0, 3, 23);
body.addBox(4.01, -2, -27.5, 0, 3, 23);
body.setTextureOffset(32, 146, true);
body.addBox(-4, -3, -21.5, 8, 4, 1);
body.addBox(-4, -7, -21.5, 8, 4, 1);
body.setTextureOffset(104, 26, true);
body.addBox(-1, -6, -36, 1, 3, 1);
body.addBox(0, -6, -36, 1, 3, 1);
body.addBox(-0.5, -6, -36, 1, 3, 1);
body.addBox(-0.5, -6, -37, 1, 3, 1);
body.addBox(-2, -6, -36, 1, 3, 1);
body.addBox(1, -6, -36, 1, 3, 1);
body.addBox(-1.5, -6, -36.5, 1, 3, 1);
body.addBox(0.5, -6, -36.5, 1, 3, 1);
body.addBox(-1, -6, -37, 1, 3, 1);
body.addBox(0, -6, -37, 1, 3, 1);
body.addBox(-0.5, -6, -37.5, 1, 3, 1);
body.addBox(-2, -4, -37, 1, 3, 1);
body.addBox(1, -4, -36, 1, 3, 1);
body.addBox(-1.5, -4, -36.5, 1, 3, 1);
body.addBox(0.5, -4, -36.5, 1, 3, 1);
body.addBox(-1, -3.5, -37, 1, 3, 1);
body.addBox(0, -3.5, -37, 1, 3, 1);
body.addBox(-0.5, -3, -37.5, 1, 3, 1);
body.setTextureOffset(54, 52, true);
body.addBox(-3, 9.5, -13, 6, 1, 7);
body.setTextureOffset(54, 53, true);
body.addBox(-3, 8.5, -13.5, 6, 1, 7);
body.setTextureOffset(54, 54, true);
body.addBox(-3, 7.5, -14, 6, 1, 7);
body.setTextureOffset(54, 55, true);
body.addBox(-3, 6.5, -14.5, 6, 1, 7);
body.setTextureOffset(54, 56, true);
body.addBox(-3, 5.5, -15, 6, 1, 7);
body.setTextureOffset(54, 51, true);
body.addBox(-3, 4.5, -15.5, 6, 1, 7);
body.setTextureOffset(54, 56, true);
body.addBox(-3, 3.5, -16, 6, 1, 7);
body.setTextureOffset(54, 55, true);
body.addBox(-3, 2.5, -16.5, 6, 1, 7);
body.setTextureOffset(54, 54, true);
body.addBox(-3, 1.5, -17, 6, 1, 7);
body.setTextureOffset(54, 53, true);
body.addBox(-3, 0.5, -17.5, 6, 1, 7);
body.setTextureOffset(54, 52, true);
body.addBox(-3, -0.5, -18, 6, 1, 7);
body.setTextureOffset(54, 51, true);
body.addBox(-3, -1.5, -18.5, 6, 1, 7);
body.setTextureOffset(54, 50, true);
body.addBox(-3, -2.5, -19, 6, 1, 7);
body.setTextureOffset(54, 49, true);
body.addBox(-3, -3.5, -19.5, 6, 1, 7);
body.setTextureOffset(54, 48, true);
body.addBox(-3, -4.5, -20, 6, 1, 7);
body.setTextureOffset(54, 47, true);
body.addBox(-3, -5.5, -20.5, 6, 1, 7);
//piernas
body.setTextureOffset(0, 128, true);
body.addBox(3.5, 7, -3.5, 4, 7, 10);
body.addBox(-7.5, 7, -3.5, 4, 7, 10);
body.setTextureOffset(18, 127, true);
body.addBox(4.5, 6, 5.5, 3, 5, 4,0.01);
body.addBox(-7.5, 6, 5.5, 3, 5, 4,0.01);
body.setTextureOffset(28, 128, true);
body.addBox(4.5, 6, 9.5, 3, 3, 8);
body.addBox(-7.5, 6, 9.5, 3, 3, 8);
body.setTextureOffset(54, 128, true);
body.addBox(4, 7, 16.5, 4, 3, 4);
body.addBox(-8, 7, 16.5, 4, 3, 4);
body.setTextureOffset(54, 128, true);
body.addBox(5, 7, 20.5, 2, 3, 4);
body.addBox(-7, 7, 20.5, 2, 3, 4);
body.setTextureOffset(0, 128, true);
body.addBox(7, 7, 20.5, 1, 2, 3);
body.addBox(-8, 7, 20.5, 1, 2, 3);
body.addBox(4, 7, 20.5, 1, 2, 3);
body.addBox(-5, 7, 20.5, 1, 2, 3);
body.setTextureOffset(2, 133, true);
body.addBox(5.5, 6.5, 24.5, 1, 3, 1);
body.addBox(-6.5, 6.5, 24.5, 1, 3, 1);
body.addBox(7, 6.6, 23.4, 1, 2, 1,-0.1);
body.addBox(-8, 6.6, 23.4, 1, 2, 1,-0.1);
body.addBox(4, 6.6, 23.4, 1, 2, 1,-0.1);
body.addBox(-5, 6.6, 23.4, 1, 2, 1,-0.1);
//alas
body.setTextureOffset(0, 169, true);
body.addBox(-45, 2.8, -14, 40, 0, 22);
body.setTextureOffset(0, 191, true);
body.addBox(5, 2.8, -14, 40, 0, 22);
body.setTextureOffset(0, 213, true);
body.addBox(-7, 2.85, -11.5, 14, 13, 30,0.3);

rArm.clear();
rArm.setTextureOffset(0, 111, true);
rArm.addBox(-2, -2, -4, 4, 10, 7);
rArm.setTextureOffset(0, 102, true);
rArm.addBox(-1.5, 4, 3, 3, 4, 5,0.01);

rArm.setTextureOffset(0, 93, true);
rArm.addBox(-1.5, 4, 6.5, 3, 1, 3);
rArm.setTextureOffset(0, 94, true);
rArm.addBox(-1.5, 5, 6.5, 3, 1, 3);
rArm.setTextureOffset(0, 93, true);
rArm.addBox(-1.5, 6, 6, 3, 1, 3);
rArm.setTextureOffset(0, 92, true);
rArm.addBox(-1.5, 7, 5.5, 3, 1, 3);

rArm.setTextureOffset(0, 91, true);
rArm.addBox(-1.5, 8, 5, 3, 1, 3);
rArm.setTextureOffset(0, 92, true);
rArm.addBox(-1.5, 9, 4.5, 3, 1, 3);
rArm.setTextureOffset(0, 93, true);
rArm.addBox(-1.5, 10, 4, 3, 1, 3);
rArm.setTextureOffset(0, 94, true);
rArm.addBox(-1.5, 11, 3.5, 3, 1, 3);
rArm.setTextureOffset(0, 95, true);
rArm.addBox(-1.5, 12, 3, 3, 1, 3);
rArm.setTextureOffset(0, 96, true);
rArm.addBox(-1.5, 13, 2.5, 3, 1, 3);
rArm.setTextureOffset(0, 97, true);
rArm.addBox(-1.5, 14, 2, 3, 1, 3);
rArm.setTextureOffset(0, 98, true);
rArm.addBox(-1.5, 15, 1.5, 3, 1, 3);
rArm.setTextureOffset(0, 96, true);
rArm.addBox(-1.5, 16, 1, 3, 1, 3);

rArm.setTextureOffset(44, 114, true);
rArm.addBox(-2, 15.001, -1, 4, 3, 4);
rArm.setTextureOffset(84, 30, true);
rArm.addBox(-1, 15.001, -5, 2, 3, 4);
rArm.setTextureOffset(96, 30, true);
rArm.addBox(-2, 16.001, -4, 1, 2, 3);
rArm.addBox(1, 16.001, -4, 1, 2, 3);
rArm.setTextureOffset(108, 26, true);
rArm.addBox(-0.5, 15.501, -6, 1, 3, 1);
rArm.addBox(-2, 16.501, -4.8, 1, 2, 1,-0.1);
rArm.addBox(1, 16.501, -4.8, 1, 2, 1,-0.1);
rArm.setRotationPoint(0,6,0);

lArm.clear();
lArm.setTextureOffset(0, 111, true);
lArm.addBox(-2, -2, -4, 4, 10, 7);
lArm.setTextureOffset(0, 102, true);
lArm.addBox(-1.5, 4, 3, 3, 4, 5,0.01);

lArm.setTextureOffset(0, 93, true);
lArm.addBox(-1.5, 4, 6.5, 3, 1, 3);
lArm.setTextureOffset(0, 94, true);
lArm.addBox(-1.5, 5, 6.5, 3, 1, 3);
lArm.setTextureOffset(0, 93, true);
lArm.addBox(-1.5, 6, 6, 3, 1, 3);
lArm.setTextureOffset(0, 92, true);
lArm.addBox(-1.5, 7, 5.5, 3, 1, 3);

lArm.setTextureOffset(0, 91, true);
lArm.addBox(-1.5, 8, 5, 3, 1, 3);
lArm.setTextureOffset(0, 92, true);
lArm.addBox(-1.5, 9, 4.5, 3, 1, 3);
lArm.setTextureOffset(0, 93, true);
lArm.addBox(-1.5, 10, 4, 3, 1, 3);
lArm.setTextureOffset(0, 94, true);
lArm.addBox(-1.5, 11, 3.5, 3, 1, 3);
lArm.setTextureOffset(0, 95, true);
lArm.addBox(-1.5, 12, 3, 3, 1, 3);
lArm.setTextureOffset(0, 96, true);
lArm.addBox(-1.5, 13, 2.5, 3, 1, 3);
lArm.setTextureOffset(0, 97, true);
lArm.addBox(-1.5, 14, 2, 3, 1, 3);
lArm.setTextureOffset(0, 98, true);
lArm.addBox(-1.5, 15, 1.5, 3, 1, 3);
lArm.setTextureOffset(0, 96, true);
lArm.addBox(-1.5, 16, 1, 3, 1, 3);
lArm.setTextureOffset(44, 114, true);
lArm.addBox(-2, 15.001, -1, 4, 3, 4);
lArm.setTextureOffset(84, 30, true);
lArm.addBox(-1, 15.001, -5, 2, 3, 4);
lArm.setTextureOffset(96, 30, true);
lArm.addBox(-2, 16.001, -4, 1, 2, 3);
lArm.addBox(1, 16.001, -4, 1, 2, 3);
lArm.setTextureOffset(108, 26, true);
lArm.addBox(-0.5, 15.501, -6, 1, 3, 1);
lArm.addBox(-2, 16.501, -4.8, 1, 2, 1,-0.1);
lArm.addBox(1, 16.501, -4.8, 1, 2, 1,-0.1);
lArm.setRotationPoint(0,6,0);
rLeg.clear();
lLeg.clear();
}
var WyvernRenderer = Renderer.createHumanoidRenderer();
addWyvernToRenderer(WyvernRenderer);
function addWyvernEggToRenderer(renderer){
var model = renderer.getModel();
var head = model.getPart("head").clear();
var body = model.getPart("body").clear();
var rArm = model.getPart("rightArm").clear();
var lArm = model.getPart("leftArm").clear();
var rLeg = model.getPart("rightLeg").clear();
var lLeg = model.getPart("leftLeg").clear();
head.clear();
body.clear();
body.setTextureOffset(10, 12, true);
body.addBox(-1.5, 15.8, -1.5, 3, 3, 3,-0.2);
body.setTextureOffset(10, 5, true);
body.addBox(-2, 16.5, -2, 4, 1, 4);
body.setTextureOffset(10, 8, true);
body.addBox(-2.5, 17.5, -2.5, 5, 5, 5);
body.setTextureOffset(10, 10, true);
body.addBox(-2, 22.5, -2, 4, 1, 4);
body.setTextureOffset(10, 0, true);
body.addBox(-1.5, 23, -1.5, 3, 1, 3);
rArm.clear();
lArm.clear();
rLeg.clear();
lLeg.clear();
}
var WyvernEggRenderer = Renderer.createHumanoidRenderer();
addWyvernEggToRenderer(WyvernEggRenderer);

var Wyvern1;
var Wyvern2;
var Wyvern3;
var Wyvern4;
var Wyvern5;
var Wyvern6;

var WyvernEggIA=[];
var WyvernBabyIA=[];
var WyvernIA=[];

ModPE.setItem(2899, "wyvern_spawn_egg", 0, "Spawn Wyvern");
Player.addItemCreativeInv(2899, 1);
ModPE.setItem(2898, "wyvernegg", 0, "Red Wyvern Egg");
Player.addItemCreativeInv(2898, 1);
ModPE.setItem(2897, "wyvernegg", 0, "Blue Wyvern Egg");
Player.addItemCreativeInv(2897, 1);
ModPE.setItem(2896, "wyvernegg", 0, "Green Wyvern Egg");
Player.addItemCreativeInv(2896, 1);
ModPE.setItem(2895, "wyvernegg", 0, "Yellow Wyvern Egg");
Player.addItemCreativeInv(2895, 1);
ModPE.setItem(2894, "wyvernegg", 0, "White Wyvern Egg");
Player.addItemCreativeInv(2894, 1);
ModPE.setItem(2893, "wyvernegg", 0, "Black Wyvern Egg");
Player.addItemCreativeInv(2893, 1);
Item.addShapedRecipe(329,1,0,["aaa","b b","   "],["a",334,0,"b",265,0]);
Item.setCategory(329,3);
Player.addItemCreativeInv(329,1);
function newLevel(){
clientMessage(ChatColor.GOLD+"Wyverns Mod v1.0");
clientMessage(ChatColor.AQUA+"Created by Gona");
clientMessage(ChatColor.BLUE+"Twitter:"+ChatColor.WHITE+" @all_gonza");
}
function WyvernsList(x,y,z){
RandomWyvern=Math.floor((Math.random()*14)+1);
if(RandomWyvern==1||RandomWyvern==7||RandomWyvern==11){
Wyvern1Spawn(x,y,z);
}
if(RandomWyvern==2||RandomWyvern==8||RandomWyvern==12){
Wyvern2Spawn(x,y,z);
}
if(RandomWyvern==3||RandomWyvern==9||RandomWyvern==13){
Wyvern3Spawn(x,y,z);
}
if(RandomWyvern==4||RandomWyvern==10||RandomWyvern==14){
Wyvern4Spawn(x,y,z);
}
if(RandomWyvern==5){
Wyvern5Spawn(x,y,z);
}
if(RandomWyvern==6){
Wyvern6Spawn(x,y,z);
}
}
function useItem(x,y,z,i,b,s){
if(i==2899){
RandomWyvern=Math.floor((Math.random()*14)+1);
if(RandomWyvern==1||RandomWyvern==7||RandomWyvern==11){
Wyvern1Spawn(x,y,z);
}
if(RandomWyvern==2||RandomWyvern==8||RandomWyvern==12){
Wyvern2Spawn(x,y,z);
}
if(RandomWyvern==3||RandomWyvern==9||RandomWyvern==13){
Wyvern3Spawn(x,y,z);
}
if(RandomWyvern==4||RandomWyvern==10||RandomWyvern==14){
Wyvern4Spawn(x,y,z);
}
if(RandomWyvern==5){
Wyvern5Spawn(x,y,z);
}
if(RandomWyvern==6){
Wyvern6Spawn(x,y,z);
}
}
if(i==2898){
Wyvern1EggSpawn(x,y,z);
addItemInventory(2898,-1,0);
}
if(i==2897){
Wyvern2EggSpawn(x,y,z);
addItemInventory(2897,-1,0);
}
if(i==2896){
Wyvern3EggSpawn(x,y,z);
addItemInventory(2896,-1,0);
}
if(i==2895){
Wyvern4EggSpawn(x,y,z);
addItemInventory(2895,-1,0);
}
if(i==2894){
Wyvern5EggSpawn(x,y,z);
addItemInventory(2894,-1,0);
}
if(i==2893){
Wyvern6EggSpawn(x,y,z);
addItemInventory(2893,-1,0);
}
}
function Wyvern1Spawn(x,y,z){
Wyvern=Level.spawnMob(x+0.5,y+1,z+0.5,41,"mob/wyvern/wyvern_mom_1.png");
Entity.setHealth(Wyvern,20);
Entity.setMaxHealth(Wyvern,20);
Entity.setCollisionSize(Wyvern, 1.5, 1.5);
Entity.setRenderType(Wyvern, WyvernRenderer.renderType);
WyvernIA.push(Wyvern);
}
function Wyvern2Spawn(x,y,z){
Wyvern=Level.spawnMob(x+0.5,y+1,z+0.5,41,"mob/wyvern/wyvern_mom_2.png");
Entity.setHealth(Wyvern,20);
Entity.setMaxHealth(Wyvern,20);
Entity.setCollisionSize(Wyvern, 1.5, 1.5);
Entity.setRenderType(Wyvern, WyvernRenderer.renderType);
WyvernIA.push(Wyvern);
}
function Wyvern3Spawn(x,y,z){
Wyvern=Level.spawnMob(x+0.5,y+1,z+0.5,41,"mob/wyvern/wyvern_mom_3.png");
Entity.setHealth(Wyvern,20);
Entity.setMaxHealth(Wyvern,20);
Entity.setCollisionSize(Wyvern, 1.5, 1.5);
Entity.setRenderType(Wyvern, WyvernRenderer.renderType);
WyvernIA.push(Wyvern);
}
function Wyvern4Spawn(x,y,z){
Wyvern=Level.spawnMob(x+0.5,y+1,z+0.5,41,"mob/wyvern/wyvern_mom_4.png");
Entity.setHealth(Wyvern,20);
Entity.setMaxHealth(Wyvern,20);
Entity.setCollisionSize(Wyvern, 1.5, 1.5);
Entity.setRenderType(Wyvern, WyvernRenderer.renderType);
WyvernIA.push(Wyvern);
}
function Wyvern5Spawn(x,y,z){
Wyvern=Level.spawnMob(x+0.5,y+1,z+0.5,41,"mob/wyvern/wyvern_mom_5.png");
Entity.setHealth(Wyvern,40);
Entity.setMaxHealth(Wyvern,40);
Entity.setCollisionSize(Wyvern, 1.5, 1.5);
Entity.setRenderType(Wyvern, WyvernRenderer.renderType);
WyvernIA.push(Wyvern);
}
function Wyvern6Spawn(x,y,z){
Wyvern=Level.spawnMob(x+0.5,y+1,z+0.5,41,"mob/wyvern/wyvern_mom_6.png");
Entity.setHealth(Wyvern,40);
Entity.setMaxHealth(Wyvern,40);
Entity.setCollisionSize(Wyvern, 1.5, 1.5);
Entity.setRenderType(Wyvern, WyvernRenderer.renderType);
WyvernIA.push(Wyvern);
}
function Wyvern1EggSpawn(x,y,z){
Wyvern=Level.spawnMob(x+0.5,y+1,z+0.5,15,"mob/wyvern/wyvernegg_1.png");
}
function Wyvern2EggSpawn(x,y,z){
Wyvern=Level.spawnMob(x+0.5,y+1,z+0.5,15,"mob/wyvern/wyvernegg_2.png");
}
function Wyvern3EggSpawn(x,y,z){
Wyvern=Level.spawnMob(x+0.5,y+1,z+0.5,15,"mob/wyvern/wyvernegg_3.png");
}
function Wyvern4EggSpawn(x,y,z){
Wyvern=Level.spawnMob(x+0.5,y+1,z+0.5,15,"mob/wyvern/wyvernegg_4.png");
}
function Wyvern5EggSpawn(x,y,z){
Wyvern=Level.spawnMob(x+0.5,y+1,z+0.5,15,"mob/wyvern/wyvernegg_5.png");
}
function Wyvern6EggSpawn(x,y,z){
Wyvern=Level.spawnMob(x+0.5,y+1,z+0.5,15,"mob/wyvern/wyvernegg_6.png");
}
var WyvernsPet={
Wyvern1:{
DataAnim:{WyvernMove:false},	
Anim:function(){
if(WyvernsPet.Wyvern1.DataAnim.WyvernMove==true){
if(getPlayerX()<Entity.getX(Wyvern1)-1||getPlayerX()>Entity.getX(Wyvern1)+1||getPlayerZ()<Entity.getZ(Wyvern1)-1||getPlayerZ()>Entity.getZ(Wyvern1)+1){
WyvernsPet.Wyvern1.DataAnim.WyvernMove=false;
WyvernSaddle=Level.spawnMob(Entity.getX(Wyvern1),Entity.getY(Wyvern1),Entity.getZ(Wyvern1),20);
Entity.setHealth(WyvernSaddle,Entity.getHealth(Wyvern1));
Entity.remove(Wyvern1);
Entity.setMobSkin(WyvernSaddle,"mob/wyvern/wyvern_saddle_1.png");
Entity.setRenderType(WyvernSaddle,WyvernRenderer.renderType);
Entity.setCollisionSize(WyvernSaddle,  1.5, 1.5);
}
var p=((Entity.getPitch(getPlayerEnt())+90)*Math.PI)/180;
var y=((Entity.getYaw(getPlayerEnt())+90)*Math.PI)/180;
var xx=Math.sin(p)*Math.cos(y);
var yy=Math.sin(p)*Math.sin(y);
var zz=Math.cos(p);     
setVelX(Wyvern1,0.7*xx);
setVelY(Wyvern1,0.7*zz);
setVelZ(Wyvern1,0.7*yy);
}
},
setRide:function(victim){
Wyvern1= Level.spawnMob(Entity.getX(victim),Entity.getY(victim),Entity.getZ(victim),19);
Entity.setMaxHealth(Wyvern1, 20);
Entity.setHealth(Wyvern1,Entity.getHealth(victim));
Entity.remove(victim);
Entity.setMobSkin(Wyvern1,"mob/wyvern/wyvern_saddle2_1.png");	
Entity.setRenderType(Wyvern1,WyvernRenderer.renderType);	
Entity.setCollisionSize(Wyvern1,  1.5, 1.5);
Entity.rideAnimal(Player.getEntity(),Wyvern1);
WyvernsPet.Wyvern1.DataAnim.WyvernMove=true;
}
},
Wyvern2:{
DataAnim:{WyvernMove:false},	
Anim:function(){
if(WyvernsPet.Wyvern2.DataAnim.WyvernMove==true){
if(getPlayerX()<Entity.getX(Wyvern2)-1||getPlayerX()>Entity.getX(Wyvern2)+1||getPlayerZ()<Entity.getZ(Wyvern2)-1||getPlayerZ()>Entity.getZ(Wyvern2)+1){
WyvernsPet.Wyvern2.DataAnim.WyvernMove=false;
WyvernSaddle=Level.spawnMob(Entity.getX(Wyvern2),Entity.getY(Wyvern2),Entity.getZ(Wyvern2),20);
Entity.setHealth(WyvernSaddle,Entity.getHealth(Wyvern2));
Entity.remove(Wyvern2);
Entity.setMobSkin(WyvernSaddle,"mob/wyvern/wyvern_saddle_2.png");
Entity.setRenderType(WyvernSaddle,WyvernRenderer.renderType);
Entity.setCollisionSize(WyvernSaddle,  1.5, 1.5);
}
var p=((Entity.getPitch(getPlayerEnt())+90)*Math.PI)/180;
var y=((Entity.getYaw(getPlayerEnt())+90)*Math.PI)/180;
var xx=Math.sin(p)*Math.cos(y);
var yy=Math.sin(p)*Math.sin(y);
var zz=Math.cos(p);     
setVelX(Wyvern2,0.7*xx);
setVelY(Wyvern2,0.7*zz);
setVelZ(Wyvern2,0.7*yy);
}
},
setRide:function(victim){
Wyvern2= Level.spawnMob(Entity.getX(victim),Entity.getY(victim),Entity.getZ(victim),19);
Entity.setMaxHealth(Wyvern2, 20);
Entity.setHealth(Wyvern2,Entity.getHealth(victim));
Entity.remove(victim);
Entity.setMobSkin(Wyvern2,"mob/wyvern/wyvern_saddle2_2.png");	
Entity.setRenderType(Wyvern2,WyvernRenderer.renderType);	
Entity.setCollisionSize(Wyvern2,  1.5, 1.5);
Entity.rideAnimal(Player.getEntity(),Wyvern2);
WyvernsPet.Wyvern2.DataAnim.WyvernMove=true;
}
},
Wyvern3:{
DataAnim:{WyvernMove:false},	
Anim:function(){
if(WyvernsPet.Wyvern3.DataAnim.WyvernMove==true){
if(getPlayerX()<Entity.getX(Wyvern3)-1||getPlayerX()>Entity.getX(Wyvern3)+1||getPlayerZ()<Entity.getZ(Wyvern3)-1||getPlayerZ()>Entity.getZ(Wyvern3)+1){
WyvernsPet.Wyvern3.DataAnim.WyvernMove=false;
WyvernSaddle=Level.spawnMob(Entity.getX(Wyvern3),Entity.getY(Wyvern3),Entity.getZ(Wyvern3),20);
Entity.setHealth(WyvernSaddle,Entity.getHealth(Wyvern3));
Entity.remove(Wyvern3);
Entity.setMobSkin(WyvernSaddle,"mob/wyvern/wyvern_saddle_3.png");
Entity.setRenderType(WyvernSaddle,WyvernRenderer.renderType);
Entity.setCollisionSize(WyvernSaddle,  1.5, 1.5);
}
var p=((Entity.getPitch(getPlayerEnt())+90)*Math.PI)/180;
var y=((Entity.getYaw(getPlayerEnt())+90)*Math.PI)/180;
var xx=Math.sin(p)*Math.cos(y);
var yy=Math.sin(p)*Math.sin(y);
var zz=Math.cos(p);     
setVelX(Wyvern3,0.7*xx);
setVelY(Wyvern3,0.7*zz);
setVelZ(Wyvern3,0.7*yy);
}
},
setRide:function(victim){
Wyvern3= Level.spawnMob(Entity.getX(victim),Entity.getY(victim),Entity.getZ(victim),19);
Entity.setMaxHealth(Wyvern3, 20);
Entity.setHealth(Wyvern3,Entity.getHealth(victim));
Entity.remove(victim);
Entity.setMobSkin(Wyvern3,"mob/wyvern/wyvern_saddle2_3.png");	
Entity.setRenderType(Wyvern3,WyvernRenderer.renderType);	
Entity.setCollisionSize(Wyvern3,  1.5, 1.5);
Entity.rideAnimal(Player.getEntity(),Wyvern3);
WyvernsPet.Wyvern3.DataAnim.WyvernMove=true;
}
},
Wyvern4:{
DataAnim:{WyvernMove:false},	
Anim:function(){
if(WyvernsPet.Wyvern4.DataAnim.WyvernMove==true){
if(getPlayerX()<Entity.getX(Wyvern4)-1||getPlayerX()>Entity.getX(Wyvern4)+1||getPlayerZ()<Entity.getZ(Wyvern4)-1||getPlayerZ()>Entity.getZ(Wyvern4)+1){
WyvernsPet.Wyvern4.DataAnim.WyvernMove=false;
WyvernSaddle=Level.spawnMob(Entity.getX(Wyvern4),Entity.getY(Wyvern4),Entity.getZ(Wyvern4),20);
Entity.setHealth(WyvernSaddle,Entity.getHealth(Wyvern4));
Entity.remove(Wyvern4);
Entity.setMobSkin(WyvernSaddle,"mob/wyvern/wyvern_saddle_4.png");
Entity.setRenderType(WyvernSaddle,WyvernRenderer.renderType);
Entity.setCollisionSize(WyvernSaddle,  1.5, 1.5);
}
var p=((Entity.getPitch(getPlayerEnt())+90)*Math.PI)/180;
var y=((Entity.getYaw(getPlayerEnt())+90)*Math.PI)/180;
var xx=Math.sin(p)*Math.cos(y);
var yy=Math.sin(p)*Math.sin(y);
var zz=Math.cos(p);     
setVelX(Wyvern4,0.7*xx);
setVelY(Wyvern4,0.7*zz);
setVelZ(Wyvern4,0.7*yy);
}
},
setRide:function(victim){
Wyvern4= Level.spawnMob(Entity.getX(victim),Entity.getY(victim),Entity.getZ(victim),19);
Entity.setMaxHealth(Wyvern4, 20);
Entity.setHealth(Wyvern4,Entity.getHealth(victim));
Entity.remove(victim);
Entity.setMobSkin(Wyvern4,"mob/wyvern/wyvern_saddle2_4.png");	
Entity.setRenderType(Wyvern4,WyvernRenderer.renderType);	
Entity.setCollisionSize(Wyvern4,  1.5, 1.5);
Entity.rideAnimal(Player.getEntity(),Wyvern4);
WyvernsPet.Wyvern4.DataAnim.WyvernMove=true;
}
},
Wyvern5:{
DataAnim:{WyvernMove:false},	
Anim:function(){
if(WyvernsPet.Wyvern5.DataAnim.WyvernMove==true){
if(getPlayerX()<Entity.getX(Wyvern5)-1||getPlayerX()>Entity.getX(Wyvern5)+1||getPlayerZ()<Entity.getZ(Wyvern5)-1||getPlayerZ()>Entity.getZ(Wyvern5)+1){
WyvernsPet.Wyvern5.DataAnim.WyvernMove=false;
WyvernSaddle=Level.spawnMob(Entity.getX(Wyvern5),Entity.getY(Wyvern5),Entity.getZ(Wyvern5),20);
Entity.setHealth(WyvernSaddle,Entity.getHealth(Wyvern5));
Entity.remove(Wyvern5);
Entity.setMobSkin(WyvernSaddle,"mob/wyvern/wyvern_saddle_5.png");
Entity.setRenderType(WyvernSaddle,WyvernRenderer.renderType);
Entity.setCollisionSize(WyvernSaddle,  1.5, 1.5);
}
var p=((Entity.getPitch(getPlayerEnt())+90)*Math.PI)/180;
var y=((Entity.getYaw(getPlayerEnt())+90)*Math.PI)/180;
var xx=Math.sin(p)*Math.cos(y);
var yy=Math.sin(p)*Math.sin(y);
var zz=Math.cos(p);     
setVelX(Wyvern5,1*xx);
setVelY(Wyvern5,1*zz);
setVelZ(Wyvern5,1*yy);
Entity.addEffect(getPlayerEnt(),MobEffect.nightVision,250,1,false,false);
}
},
setRide:function(victim){
Wyvern5= Level.spawnMob(Entity.getX(victim),Entity.getY(victim),Entity.getZ(victim),19);
Entity.setMaxHealth(Wyvern5,40);
Entity.setHealth(Wyvern5,Entity.getHealth(victim));
Entity.remove(victim);
Entity.setMobSkin(Wyvern5,"mob/wyvern/wyvern_saddle2_5.png");	
Entity.setRenderType(Wyvern5,WyvernRenderer.renderType);	
Entity.setCollisionSize(Wyvern5,  1.5, 1.5);
Entity.rideAnimal(Player.getEntity(),Wyvern5);
WyvernsPet.Wyvern5.DataAnim.WyvernMove=true;
}
},
Wyvern6:{
DataAnim:{WyvernMove:false},	
Anim:function(){
if(WyvernsPet.Wyvern6.DataAnim.WyvernMove==true){
if(getPlayerX()<Entity.getX(Wyvern6)-1||getPlayerX()>Entity.getX(Wyvern6)+1||getPlayerZ()<Entity.getZ(Wyvern6)-1||getPlayerZ()>Entity.getZ(Wyvern6)+1){
WyvernsPet.Wyvern6.DataAnim.WyvernMove=false;
WyvernSaddle=Level.spawnMob(Entity.getX(Wyvern6),Entity.getY(Wyvern6),Entity.getZ(Wyvern6),20);
Entity.setHealth(WyvernSaddle,Entity.getHealth(Wyvern6));
Entity.remove(Wyvern6);
Entity.setMobSkin(WyvernSaddle,"mob/wyvern/wyvern_saddle_6.png");
Entity.setRenderType(WyvernSaddle,WyvernRenderer.renderType);
Entity.setCollisionSize(WyvernSaddle,  1.5, 1.5);
}
var p=((Entity.getPitch(getPlayerEnt())+90)*Math.PI)/180;
var y=((Entity.getYaw(getPlayerEnt())+90)*Math.PI)/180;
var xx=Math.sin(p)*Math.cos(y);
var yy=Math.sin(p)*Math.sin(y);
var zz=Math.cos(p);     
setVelX(Wyvern6,1*xx);
setVelY(Wyvern6,1*zz);
setVelZ(Wyvern6,1*yy);
Entity.addEffect(getPlayerEnt(),MobEffect.nightVision,250,1,false,false);
}
},
setRide:function(victim){
Wyvern6= Level.spawnMob(Entity.getX(victim),Entity.getY(victim),Entity.getZ(victim),19);
Entity.setMaxHealth(Wyvern6,40);
Entity.setHealth(Wyvern6,Entity.getHealth(victim));
Entity.remove(victim);
Entity.setMobSkin(Wyvern6,"mob/wyvern/wyvern_saddle2_6.png");	
Entity.setRenderType(Wyvern6,WyvernRenderer.renderType);	
Entity.setCollisionSize(Wyvern6,  1.5, 1.5);
Entity.rideAnimal(Player.getEntity(),Wyvern6);
WyvernsPet.Wyvern6.DataAnim.WyvernMove=true;
}
},
}
function leaveGame(){
WyvernsPet.Wyvern1.DataAnim.WyvernMove=false;
WyvernsPet.Wyvern2.DataAnim.WyvernMove=false;
WyvernsPet.Wyvern3.DataAnim.WyvernMove=false;
WyvernsPet.Wyvern4.DataAnim.WyvernMove=false;
WyvernsPet.Wyvern5.DataAnim.WyvernMove=false;
WyvernsPet.Wyvern6.DataAnim.WyvernMove=false;
}
function attackHook(a,v){
if(Player.getCarriedItem()==349){
if(Entity.getMobSkin(v)=="mob/wyvern/wyvern_tame_1.png"||Entity.getMobSkin(v)=="mob/wyvern/wyvern_tame_2.png"||Entity.getMobSkin(v)=="mob/wyvern/wyvern_tame_3.png"||Entity.getMobSkin(v)=="mob/wyvern/wyvern_tame_4.png"||Entity.getMobSkin(v)=="mob/wyvern/wyvern_tame_5.png"||Entity.getMobSkin(v)=="mob/wyvern/wyvern_tame_6.png"||Entity.getMobSkin(v)=="mob/wyvern/wyvern_saddle_1.png"||Entity.getMobSkin(v)=="mob/wyvern/wyvern_saddle_2.png"||Entity.getMobSkin(v)=="mob/wyvern/wyvern_saddle_3.png"||Entity.getMobSkin(v)=="mob/wyvern/wyvern_saddle_4.png"||Entity.getMobSkin(v)=="mob/wyvern/wyvern_saddle_5.png"||Entity.getMobSkin(v)=="mob/wyvern/wyvern_saddle_6.png"||Entity.getMobSkin(v)=="mob/wyvern/wyvern_saddle2_1.png"||Entity.getMobSkin(v)=="mob/wyvern/wyvern_saddle2_2.png"||Entity.getMobSkin(v)=="mob/wyvern/wyvern_saddle2_3.png"||Entity.getMobSkin(v)=="mob/wyvern/wyvern_saddle2_4.png"||Entity.getMobSkin(v)=="mob/wyvern/wyvern_saddle2_5.png"||Entity.getMobSkin(v)=="mob/wyvern/wyvern_saddle2_6.png"){
preventDefault();
addItemInventory(349,-1,0);
Level.addParticleType(ParticleType.heart,Entity.getX(v),Entity.getY(v)+2,Entity.getZ(v),0,0.1,0,1,5,2);
if(Entity.getHealth(v)<Entity.getMaxHealth(v)){
Entity.setHealth(v,Entity.getHealth(v)+1);	
}
}
if(Entity.getMobSkin(v)=="mob/wyvern/wyvern_baby_1.png"||Entity.getMobSkin(v)=="mob/wyvern/wyvern_baby_2.png"||Entity.getMobSkin(v)=="mob/wyvern/wyvern_baby_3.png"||Entity.getMobSkin(v)=="mob/wyvern/wyvern_baby_4.png"||Entity.getMobSkin(v)=="mob/wyvern/wyvern_baby_5.png"||Entity.getMobSkin(v)=="mob/wyvern/wyvern_baby_6.png"){
preventDefault();
addItemInventory(349,-1,0);
Level.addParticleType(ParticleType.heart,Entity.getX(v),Entity.getY(v)+1,Entity.getZ(v),0,0.1,0,1,5,2);
if(Entity.getHealth(v)<Entity.getMaxHealth(v)){
Entity.setHealth(v,Entity.getHealth(v)+1);	
}
}
}
if(Entity.getMobSkin(v)=="mob/wyvern/wyvernegg_6.png"){
preventDefault();
Level.dropItem(Entity.getX(v),Entity.getY(v)+1,Entity.getZ(v),0,2893,1,0);
Entity.remove(v);
}
if(Entity.getMobSkin(v)=="mob/wyvern/wyvern_tame_6.png"&&Player.getCarriedItem()==329){
preventDefault();
addItemInventory(329,-1,0);
Entity.setMobSkin(v,"mob/wyvern/wyvern_saddle_6.png");
}
if(Entity.getMobSkin(v)=="mob/wyvern/wyvern_saddle_6.png"&&Player.getCarriedItem()==0){
preventDefault();
if(WyvernsPet.Wyvern6.DataAnim.WyvernMove==false){
WyvernsPet.Wyvern6.setRide(v);		
}
}
if(Entity.getMobSkin(v)=="mob/wyvern/wyvernegg_5.png"){
preventDefault();
Level.dropItem(Entity.getX(v),Entity.getY(v)+1,Entity.getZ(v),0,2894,1,0);
Entity.remove(v);
}
if(Entity.getMobSkin(v)=="mob/wyvern/wyvern_tame_5.png"&&Player.getCarriedItem()==329){
preventDefault();
addItemInventory(329,-1,0);
Entity.setMobSkin(v,"mob/wyvern/wyvern_saddle_5.png");
}
if(Entity.getMobSkin(v)=="mob/wyvern/wyvern_saddle_5.png"&&Player.getCarriedItem()==0){
preventDefault();
if(WyvernsPet.Wyvern5.DataAnim.WyvernMove==false){
WyvernsPet.Wyvern5.setRide(v);		
}
}
if(Entity.getMobSkin(v)=="mob/wyvern/wyvernegg_4.png"){
preventDefault();
Level.dropItem(Entity.getX(v),Entity.getY(v)+1,Entity.getZ(v),0,2895,1,0);
Entity.remove(v);
}
if(Entity.getMobSkin(v)=="mob/wyvern/wyvern_tame_4.png"&&Player.getCarriedItem()==329){
preventDefault();
addItemInventory(329,-1,0);
Entity.setMobSkin(v,"mob/wyvern/wyvern_saddle_4.png");
}
if(Entity.getMobSkin(v)=="mob/wyvern/wyvern_saddle_4.png"&&Player.getCarriedItem()==0){
preventDefault();
if(WyvernsPet.Wyvern4.DataAnim.WyvernMove==false){
WyvernsPet.Wyvern4.setRide(v);		
}
}
if(Entity.getMobSkin(v)=="mob/wyvern/wyvernegg_3.png"){
preventDefault();
Level.dropItem(Entity.getX(v),Entity.getY(v)+1,Entity.getZ(v),0,2896,1,0);
Entity.remove(v);
}
if(Entity.getMobSkin(v)=="mob/wyvern/wyvern_tame_3.png"&&Player.getCarriedItem()==329){
preventDefault();
addItemInventory(329,-1,0);
Entity.setMobSkin(v,"mob/wyvern/wyvern_saddle_3.png");
}
if(Entity.getMobSkin(v)=="mob/wyvern/wyvern_saddle_3.png"&&Player.getCarriedItem()==0){
preventDefault();
if(WyvernsPet.Wyvern3.DataAnim.WyvernMove==false){
WyvernsPet.Wyvern3.setRide(v);		
}
}
if(Entity.getMobSkin(v)=="mob/wyvern/wyvernegg_2.png"){
preventDefault();
Level.dropItem(Entity.getX(v),Entity.getY(v)+1,Entity.getZ(v),0,2897,1,0);
Entity.remove(v);
}
if(Entity.getMobSkin(v)=="mob/wyvern/wyvern_tame_2.png"&&Player.getCarriedItem()==329){
preventDefault();
addItemInventory(329,-1,0);
Entity.setMobSkin(v,"mob/wyvern/wyvern_saddle_2.png");
}
if(Entity.getMobSkin(v)=="mob/wyvern/wyvern_saddle_2.png"&&Player.getCarriedItem()==0){
preventDefault();
if(WyvernsPet.Wyvern2.DataAnim.WyvernMove==false){
WyvernsPet.Wyvern2.setRide(v);		
}
}
if(Entity.getMobSkin(v)=="mob/wyvern/wyvernegg_1.png"){
preventDefault();
Level.dropItem(Entity.getX(v),Entity.getY(v)+1,Entity.getZ(v),0,2898,1,0);
Entity.remove(v);
}
if(Entity.getMobSkin(v)=="mob/wyvern/wyvern_tame_1.png"&&Player.getCarriedItem()==329){
preventDefault();
addItemInventory(329,-1,0);
Entity.setMobSkin(v,"mob/wyvern/wyvern_saddle_1.png");
}
if(Entity.getMobSkin(v)=="mob/wyvern/wyvern_saddle_1.png"&&Player.getCarriedItem()==0){
preventDefault();
if(WyvernsPet.Wyvern1.DataAnim.WyvernMove==false){
WyvernsPet.Wyvern1.setRide(v);		
}
}
}
function modTick (){
WyvernsPet.Wyvern1.Anim();
WyvernsPet.Wyvern2.Anim();
WyvernsPet.Wyvern3.Anim();
WyvernsPet.Wyvern4.Anim();
WyvernsPet.Wyvern5.Anim();
WyvernsPet.Wyvern6.Anim();
for(var i=0;i<WyvernIA.length;i++){
if( getPlayerY()<Entity.getY(WyvernIA[i])-19||getPlayerY()>Entity.getY(WyvernIA[i])+19|| getPlayerX()<Entity.getX(WyvernIA[i])-22||getPlayerX()>Entity.getX(WyvernIA[i])+22||getPlayerZ()<Entity.getZ(WyvernIA[i])-22||getPlayerZ()>Entity.getZ(WyvernIA[i])+22){
var p=((Entity.getPitch( WyvernIA[i] )+90)*Math.PI)/180; 
var y=((Entity.getYaw( WyvernIA[i] )+90)*Math.PI)/180; 
var xx=Math.sin(p)*Math.cos(y); 
var yy=Math.sin(p)*Math.sin(y); 
var zz=Math.cos(p);
Entity.setVelX(WyvernIA[i],xx*0.3);
Entity.setVelZ(WyvernIA[i],yy*0.3);
Entity.setVelY(WyvernIA[i],-0.03);
}
if(Level.getTile(Entity.getX(WyvernIA[i]),Entity.getY(WyvernIA[i])-3,Entity.getZ(WyvernIA[i]))!=0){
Entity.setVelY(WyvernIA[i],0.03);
}
}
for(i=0;i<WyvernEggIA.length;i++){
var GrowMob = Math.floor((Math.random()*4000)+1); 
if(GrowMob==1){
if(Entity.getMobSkin(WyvernEggIA[i])=="mob/wyvern/wyvernegg_1.png"){
Wyvern=Level.spawnMob(Entity.getX(WyvernEggIA[i]),Entity.getY(WyvernEggIA[i]),Entity.getZ(WyvernEggIA[i]),14,"mob/wyvern/wyvern_baby_1.png");
Entity.setAnimalAge(Wyvern,Math.floor((Math.random()*5000)-6000));
Entity.remove(WyvernEggIA[i]);
}
if(Entity.getMobSkin(WyvernEggIA[i])=="mob/wyvern/wyvernegg_2.png"){
Wyvern=Level.spawnMob(Entity.getX(WyvernEggIA[i]),Entity.getY(WyvernEggIA[i]),Entity.getZ(WyvernEggIA[i]),14,"mob/wyvern/wyvern_baby_2.png");
Entity.setAnimalAge(Wyvern,Math.floor((Math.random()*5000)-6000));
Entity.remove(WyvernEggIA[i]);
}
if(Entity.getMobSkin(WyvernEggIA[i])=="mob/wyvern/wyvernegg_3.png"){
Wyvern=Level.spawnMob(Entity.getX(WyvernEggIA[i]),Entity.getY(WyvernEggIA[i]),Entity.getZ(WyvernEggIA[i]),14,"mob/wyvern/wyvern_baby_3.png");
Entity.setAnimalAge(Wyvern,Math.floor((Math.random()*5000)-6000));
Entity.remove(WyvernEggIA[i]);
}
if(Entity.getMobSkin(WyvernEggIA[i])=="mob/wyvern/wyvernegg_4.png"){
Wyvern=Level.spawnMob(Entity.getX(WyvernEggIA[i]),Entity.getY(WyvernEggIA[i]),Entity.getZ(WyvernEggIA[i]),14,"mob/wyvern/wyvern_baby_4.png");
Entity.setAnimalAge(Wyvern,Math.floor((Math.random()*5000)-6000));
Entity.remove(WyvernEggIA[i]);
}
if(Entity.getMobSkin(WyvernEggIA[i])=="mob/wyvern/wyvernegg_5.png"){
Wyvern=Level.spawnMob(Entity.getX(WyvernEggIA[i]),Entity.getY(WyvernEggIA[i]),Entity.getZ(WyvernEggIA[i]),14,"mob/wyvern/wyvern_baby_5.png");
Entity.setAnimalAge(Wyvern,Math.floor((Math.random()*5000)-6000));
Entity.remove(WyvernEggIA[i]);
}
if(Entity.getMobSkin(WyvernEggIA[i])=="mob/wyvern/wyvernegg_6.png"){
Wyvern=Level.spawnMob(Entity.getX(WyvernEggIA[i]),Entity.getY(WyvernEggIA[i]),Entity.getZ(WyvernEggIA[i]),14,"mob/wyvern/wyvern_baby_6.png");
Entity.setAnimalAge(Wyvern,Math.floor((Math.random()*5000)-6000));
Entity.remove(WyvernEggIA[i]);
}
}
}
for(i=0;i<WyvernBabyIA.length;i++){
if(Entity.getMobSkin(WyvernBabyIA[i])=="mob/wyvern/wyvern_baby_1.png"){
if(Entity.getAnimalAge(WyvernBabyIA[i])==0){
Entity.setMobSkin(WyvernBabyIA[i],"mob/wyvern/wyvern_tame_1.png");
}
}
if(Entity.getMobSkin(WyvernBabyIA[i])=="mob/wyvern/wyvern_baby_2.png"){
if(Entity.getAnimalAge(WyvernBabyIA[i])==0){
Entity.setMobSkin(WyvernBabyIA[i],"mob/wyvern/wyvern_tame_2.png");
}
}
if(Entity.getMobSkin(WyvernBabyIA[i])=="mob/wyvern/wyvern_baby_3.png"){
if(Entity.getAnimalAge(WyvernBabyIA[i])==0){
Entity.setMobSkin(WyvernBabyIA[i],"mob/wyvern/wyvern_tame_3.png");
}
}
if(Entity.getMobSkin(WyvernBabyIA[i])=="mob/wyvern/wyvern_baby_4.png"){
if(Entity.getAnimalAge(WyvernBabyIA[i])==0){
Entity.setMobSkin(WyvernBabyIA[i],"mob/wyvern/wyvern_tame_4.png");
}
}
if(Entity.getMobSkin(WyvernBabyIA[i])=="mob/wyvern/wyvern_baby_5.png"){
if(Entity.getAnimalAge(WyvernBabyIA[i])==0){
Entity.setMobSkin(WyvernBabyIA[i],"mob/wyvern/wyvern_tame_5.png");
}
}
if(Entity.getMobSkin(WyvernBabyIA[i])=="mob/wyvern/wyvern_baby_6.png"){
if(Entity.getAnimalAge(WyvernBabyIA[i])==0){
Entity.setMobSkin(WyvernBabyIA[i],"mob/wyvern/wyvern_tame_6.png");
}
}
}
}
function deathHook(a,v){
if(Entity.getMobSkin(v)=="mob/wyvern/wyvern_mom_1.png"){
DropItem=Math.floor((Math.random()*2)+1);
if(DropItem==1){
Level.dropItem(Entity.getX(v),Entity.getY(v)+1,Entity.getZ(v),0,2898,1,0);
}
}
if(Entity.getMobSkin(v)=="mob/wyvern/wyvern_mom_2.png"){
DropItem=Math.floor((Math.random()*2)+1);
if(DropItem==1){
Level.dropItem(Entity.getX(v),Entity.getY(v)+1,Entity.getZ(v),0,2897,1,0);
}
}
if(Entity.getMobSkin(v)=="mob/wyvern/wyvern_mom_3.png"){
DropItem=Math.floor((Math.random()*2)+1);
if(DropItem==1){
Level.dropItem(Entity.getX(v),Entity.getY(v)+1,Entity.getZ(v),0,2896,1,0);
}
}
if(Entity.getMobSkin(v)=="mob/wyvern/wyvern_mom_4.png"){
DropItem=Math.floor((Math.random()*2)+1);
if(DropItem==1){
Level.dropItem(Entity.getX(v),Entity.getY(v)+1,Entity.getZ(v),0,2895,1,0);
}
}
if(Entity.getMobSkin(v)=="mob/wyvern/wyvern_mom_5.png"){
DropItem=Math.floor((Math.random()*2)+1);
if(DropItem==1){
Level.dropItem(Entity.getX(v),Entity.getY(v)+1,Entity.getZ(v),0,2894,1,0);
}
}
if(Entity.getMobSkin(v)=="mob/wyvern/wyvern_mom_6.png"){
DropItem=Math.floor((Math.random()*2)+1);
if(DropItem==1){
Level.dropItem(Entity.getX(v),Entity.getY(v)+1,Entity.getZ(v),0,2893,1,0);
}
}
}
function entityAddedHook(entity){
if(Entity.getMobSkin(entity)=="mob/pigzombie.png"){
if(getPlayerX()<Entity.getX(entity)-15||getPlayerX()>Entity.getX(entity)+15||getPlayerZ()<Entity.getZ(entity)-15||getPlayerZ()>Entity.getZ(entity)+15){
if(Level.getBiomeName(Entity.getX(entity),Entity.getZ(entity))=="Hell"){
var SpawnAnimals= Math.floor((Math.random()*5)+1);
if(SpawnAnimals==1){ 
WyvernsList(Entity.getX(entity)-0.5, Entity.getY(entity)+2, Entity.getZ(entity)-0.5,entity);		
}
}
}
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvern_saddle2_6.png"){
WyvernsPet.Wyvern6.setRide(entity);
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvern_saddle_6.png"||Entity.getMobSkin(entity)=="mob/wyvern/wyvern_tame_6.png"){
Entity.setHealth(entity,40);
Entity.setMaxHealth(entity,40);
Entity.setCollisionSize(entity, 1.5, 1.5);
Entity.setRenderType(entity,WyvernRenderer.renderType);	
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvern_mom_6.png"){
Entity.setHealth(entity,40);
Entity.setMaxHealth(entity,40);
Entity.setCollisionSize(entity, 1.5, 1.5);
Entity.setRenderType(entity,WyvernRenderer.renderType);
WyvernIA.push(entity);
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvernegg_6.png"){
Entity.setHealth(entity,5);
Entity.setMaxHealth(entity,5);
Entity.setCollisionSize(entity, 0.4, 1);
Entity.setRenderType(entity, WyvernEggRenderer.renderType);
Entity.setImmobile(entity,true);
WyvernEggIA.push(entity);
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvern_saddle2_5.png"){
WyvernsPet.Wyvern5.setRide(entity);
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvern_saddle_5.png"||Entity.getMobSkin(entity)=="mob/wyvern/wyvern_tame_5.png"){
Entity.setHealth(entity,40);
Entity.setMaxHealth(entity,40);
Entity.setCollisionSize(entity, 1.5, 1.5);
Entity.setRenderType(entity,WyvernRenderer.renderType);	
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvern_mom_5.png"){
Entity.setHealth(entity,40);
Entity.setMaxHealth(entity,40);
Entity.setCollisionSize(entity, 1.5, 1.5);
Entity.setRenderType(entity,WyvernRenderer.renderType);
WyvernIA.push(entity);
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvernegg_5.png"){
Entity.setHealth(entity,5);
Entity.setMaxHealth(entity,5);
Entity.setCollisionSize(entity, 0.4, 1);
Entity.setRenderType(entity, WyvernEggRenderer.renderType);
Entity.setImmobile(entity,true);
WyvernEggIA.push(entity);
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvern_saddle2_4.png"){
WyvernsPet.Wyvern4.setRide(entity);
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvern_saddle_4.png"||Entity.getMobSkin(entity)=="mob/wyvern/wyvern_tame_4.png"){
Entity.setHealth(entity,20);
Entity.setMaxHealth(entity,20);
Entity.setCollisionSize(entity, 1.5, 1.5);
Entity.setRenderType(entity,WyvernRenderer.renderType);	
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvern_mom_4.png"){
Entity.setHealth(entity,20);
Entity.setMaxHealth(entity,20);
Entity.setCollisionSize(entity, 1.5, 1.5);
Entity.setRenderType(entity,WyvernRenderer.renderType);
WyvernIA.push(entity);
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvernegg_4.png"){
Entity.setHealth(entity,5);
Entity.setMaxHealth(entity,5);
Entity.setCollisionSize(entity, 0.4, 1);
Entity.setRenderType(entity, WyvernEggRenderer.renderType);
Entity.setImmobile(entity,true);
WyvernEggIA.push(entity);
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvern_saddle2_3.png"){
WyvernsPet.Wyvern3.setRide(entity);
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvern_saddle_3.png"||Entity.getMobSkin(entity)=="mob/wyvern/wyvern_tame_3.png"){
Entity.setHealth(entity,20);
Entity.setMaxHealth(entity,20);
Entity.setCollisionSize(entity, 1.5, 1.5);
Entity.setRenderType(entity,WyvernRenderer.renderType);	
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvern_mom_3.png"){
Entity.setHealth(entity,20);
Entity.setMaxHealth(entity,20);
Entity.setCollisionSize(entity, 1.5, 1.5);
Entity.setRenderType(entity,WyvernRenderer.renderType);
WyvernIA.push(entity);
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvernegg_3.png"){
Entity.setHealth(entity,5);
Entity.setMaxHealth(entity,5);
Entity.setCollisionSize(entity, 0.4, 1);
Entity.setRenderType(entity, WyvernEggRenderer.renderType);
Entity.setImmobile(entity,true);
WyvernEggIA.push(entity);
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvern_saddle2_2.png"){
WyvernsPet.Wyvern2.setRide(entity);
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvern_saddle_2.png"||Entity.getMobSkin(entity)=="mob/wyvern/wyvern_tame_2.png"){
Entity.setHealth(entity,20);
Entity.setMaxHealth(entity,20);
Entity.setCollisionSize(entity, 1.5, 1.5);
Entity.setRenderType(entity,WyvernRenderer.renderType);	
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvern_mom_2.png"){
Entity.setHealth(entity,20);
Entity.setMaxHealth(entity,20);
Entity.setCollisionSize(entity, 1.5, 1.5);
Entity.setRenderType(entity,WyvernRenderer.renderType);
WyvernIA.push(entity);
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvernegg_2.png"){
Entity.setHealth(entity,5);
Entity.setMaxHealth(entity,5);
Entity.setCollisionSize(entity, 0.4, 1);
Entity.setRenderType(entity, WyvernEggRenderer.renderType);
Entity.setImmobile(entity,true);
WyvernEggIA.push(entity);
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvern_saddle2_1.png"){
WyvernsPet.Wyvern1.setRide(entity);
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvern_saddle_1.png"||Entity.getMobSkin(entity)=="mob/wyvern/wyvern_tame_1.png"){
Entity.setHealth(entity,20);
Entity.setMaxHealth(entity,20);
Entity.setCollisionSize(entity, 1.5, 1.5);
Entity.setRenderType(entity,WyvernRenderer.renderType);	
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvern_mom_1.png"){
Entity.setHealth(entity,20);
Entity.setMaxHealth(entity,20);
Entity.setCollisionSize(entity, 1.5, 1.5);
Entity.setRenderType(entity,WyvernRenderer.renderType);
WyvernIA.push(entity);
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvernegg_1.png"){
Entity.setHealth(entity,5);
Entity.setMaxHealth(entity,5);
Entity.setCollisionSize(entity, 0.4, 1);
Entity.setRenderType(entity, WyvernEggRenderer.renderType);
Entity.setImmobile(entity,true);
WyvernEggIA.push(entity);
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvern_baby_1.png"||Entity.getMobSkin(entity)=="mob/wyvern/wyvern_baby_2.png"||Entity.getMobSkin(entity)=="mob/wyvern/wyvern_baby_3.png"||Entity.getMobSkin(entity)=="mob/wyvern/wyvern_baby_4.png"){
Entity.setHealth(entity,20);
Entity.setMaxHealth(entity,20);
Entity.setCollisionSize(entity, 1.5, 1.5);
Entity.setRenderType(entity,WyvernRenderer.renderType);
WyvernBabyIA.push(entity);
}
if(Entity.getMobSkin(entity)=="mob/wyvern/wyvern_baby_6.png"||Entity.getMobSkin(entity)=="mob/wyvern/wyvern_baby_5.png"){
Entity.setHealth(entity,40);
Entity.setMaxHealth(entity,40);
Entity.setCollisionSize(entity, 1.5, 1.5);
Entity.setRenderType(entity,WyvernRenderer.renderType);
WyvernBabyIA.push(entity);
}
}
Level.addParticleType=function(type,x,y,z,velX,velY,velZ,typeSize,particleAmount,particleSize){
for(let i=0;i<particleAmount;i++){
Level.addParticle(type,x-typeSize/2+Math.random()*typeSize,y-typeSize/2+Math.random()*typeSize,z-typeSize/2+Math.random()*typeSize,velX,velY,velZ,particleSize);
}
};
function GetXYZ(entity1, entity2, distanceXZ, distanceY){
if(!(Math.abs(Entity.getX(entity1) - Entity.getX(entity2)) <= distanceXZ))
return false;
if(!(Math.abs(Entity.getY(entity1) - Entity.getY(entity2)) <= distanceY))
return false;
if(!(Math.abs(Entity.getZ(entity1) - Entity.getZ(entity2)) <= distanceXZ))
return false;
return true;
}